<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
	"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper
	namespace="com.xunhong.erp.turbo.biz.infrastructure.mapper.ShipOrderMapper">
	<resultMap id="BaseResultMap"
			   type="com.xunhong.erp.turbo.biz.infrastructure.entity.ShipOrderDO">
		<result property="shipOrderId" column="ship_order_id"/>
		<result property="purchaseOrderId" column="purchase_order_id"/>
		<result property="orderSn" column="order_sn"/>
		<result property="dealerId" column="dealer_id"/>
		<result property="dealerName" column="dealer_name"/>
		<result property="warehouseId" column="warehouse_id"/>
		<result property="warehouseName" column="warehouse_name"/>
		<result property="companyId" column="company_id"/>
		<result property="companyName" column="company_name"/>
		<result property="vehicleNo" column="vehicle_no"/>
		<result property="shippingAddress" column="shipping_address"/>
		<result property="receivingAddress" column="receiving_address"/>
		<result property="shippingDate" column="shipping_date"/>
		<result property="estimatedArrivalDate"
				column="estimated_arrival_date"/>
		<result property="watermelonGrade" column="watermelon_grade"/>
		<result property="driverName" column="driver_name"/>
		<result property="driverPhone" column="driver_phone"/>
		<result property="licensePlate" column="license_plate"/>
		<result property="freightDebt" column="freight_debt"/>
		<result property="strawMatDebt" column="straw_mat_debt"/>
		<result property="trademarkFee" column="trademark_fee"/>
		<result property="laborFee" column="labor_fee"/>
		<result property="cartonFee" column="carton_fee"/>
		<result property="codingFee" column="coding_fee"/>
		<result property="provisionFee" column="provision_fee"/>
		<result property="totalAmount" column="total_amount"/>
		<result property="farmerInfo" column="farmer_info"/>
		<result property="shipDocument" column="ship_document"/>
		<result property="purchaseDocument" column="purchase_document"/>
		<result property="costDocument" column="cost_document"/>
		<result property="state" column="state"/>
		<result property="remark" column="remark"/>
		<result property="createdBy" column="created_by"/>
		<result property="createdByName" column="created_by_name"/>
		<result property="createdAt" column="created_at"/>
		<result property="createdAt" column="created_at"/>
		<result property="updatedAt" column="updated_at"/>
		<result property="isDelete" column="is_delete"/>
		<result property="version" column="version"/>
	</resultMap>
</mapper>